

#  Xycom XVME-560

    set addressinfo [split $AddressData :]
    set A16Base [first $addressinfo]

   for {set index 0} {$index < 8} {incr index} {
     DefineRegister $Module xVME Channel$index          "-a $A16Base -w 32 -o [expr 0x10+($index*4)] -p ro -d 32 -l 0 -b 0 -z d"
   }

   DefineRegister $Module xVME CSR			"-a $A16Base -o 0x81 -w 16 -d 8  -p rw -z x -b 0"
   DefineRegister $Module xVME Red			"-a $A16Base -o 0x81 -w 16 -d 8  -p rw -z d -b 0 -l 1"
   DefineRegister $Module xVME Green			"-a $A16Base -o 0x81 -w 16 -d 8  -p rw -z d -b 1 -l 1"
   DefineRegister $Module xVME Int.Pending              "-a $A16Base -o 0x81 -w 16 -d 8  -p ro -z d -b 2 -l 1"
   DefineRegister $Module xVME Int.Enable		"-a $A16Base -o 0x81 -w 16 -d 8  -p rw -z d -b 3 -l 1"
   DefineRegister $Module xVME Reset			"-a $A16Base -o 0x81 -w 16 -d 8  -p rw -z d -b 4 -l 1"
   DefineRegister $Module xVME Mode			"-a $A16Base -o 0x81 -w 16 -d 8  -p rw -z d -b 5 -l 2"
   DefineRegister $Module xVME Convert		        "-a $A16Base -o 0x81 -w 16 -d 8  -p wo -z d -b 7 -l 1"
   DefineRegister $Module xVME Busy		        "-a $A16Base -o 0x81 -w 16 -d 8  -p ro -z d -b 7 -l 1"
   DefineRegister $Module xVME Int.Vector		"-a $A16Base -o 0x83 -w 16 -d 8  -p rw -z d"
   DefineRegister $Module xVME Channel		        "-a $A16Base -o 0x85 -w 16 -d 8  -p rw -z d -b 0 -l 6"   
   DefineRegister $Module xVME Gain			"-a $A16Base -o 0x85 -w 16 -d 8  -p rw -z d -b 6 -l 2"
   DefineRegister $Module xVME Data			"-a $A16Base -o 0x86 -w 16 -d 16 -p ro -z x -b 0 -l 12"
   
   for {set index 0} {$index < 16} {incr index} {
      DefineRegister $Module xVME ID$index                "-a $A16Base -o [expr 0x00 + ($index*2) + 1] -w 16 -d 8 -p ro -z x"
   }

puts "Defined $Module"



