

# variable started 0

if {![info exists started]} {variable started 0}

if {$started != 0} {

     variable JS ""
     variable LogFlag
     variable ModuleIndex

     if {$LogFlag == 1} {InsertLog "Last Updated: [clock format [clock seconds] -format "%B %d, %Y %H:%M:%S"]"}

#     do_Select $ModuleIndex

    do_click
}

if {$started == 0} {           ;#  first time load code and define local variables
    set started 1


    variable LogText ""
    variable LogFlag 0
    variable LogCount 0

    variable ShowLogFlag 0

    variable JS ""
    variable HelpTopic "undefined"

    variable Ch0 0
    variable Ch1 0
    variable Ch2 0
    variable Ch3 0
    variable Ch4 0
    variable Ch5 0
    variable Ch6 0
    variable Ch7 0

    for {set i 0} {$i <= 7} {incr i} {variable Offset$i 0}

    variable Rmsg
    variable Wmsg

    variable ModuleName msda12
    variable ModuleMenu {}
    variable ModuleIndex 1

     if {$LogFlag == 1} {InsertLog "Started: [clock format [clock seconds] -format "%B %d, %Y %H:%M:%S"]"}


   proc show_variables {} {
        variable LogFlag
        variable ShowLogFlag
        variable Rmsg
        variable Wmsg

             InsertLog "LogFlag=$LogFlag; ShowLogFlag=$ShowLogFlag "
             InsertLog "Rmsg=$Rmsg"
             InsertLog "Wmsg=$Wmsg"
             
             for {set i 0} {$i < 8} {incr i} {variable Offset$i; InsertLog "Offset$i = [set Offset$i]"}

   }

   proc Help {subject} {
       variable HelpTopic

       switch $subject {

          Introduction {set HelpTopic UsingMEISDataAcq}
          1            {set HelpTopic [file join MSDA $Subject]}

          default {}
       }

       do_help
   }
   
   proc do_Setting {reg vl} {     ;InsertLog "Setting $reg $vl"
       for {set i 0} {$i <= 7} {incr i} {variable Offset$i}
       for {set i 0} {$i <= 7} {incr i} {variable Ch$i}

       switch $reg {
        rangeInput0     {set i 0; set Offset$i $vl; set Ch$i $vl; WriteRegister Channel$i $vl}
        rangeInput1     {set i 1; set Offset$i $vl; set Ch$i $vl; WriteRegister Channel$i $vl}
        rangeInput2     {set i 2; set Offset$i $vl; set Ch$i $vl; WriteRegister Channel$i $vl}
        rangeInput3     {set i 3; set Offset$i $vl; set Ch$i $vl; WriteRegister Channel$i $vl}
        rangeInput4     {set i 4; set Offset$i $vl; set Ch$i $vl; WriteRegister Channel$i $vl}
        rangeInput5     {set i 5; set Offset$i $vl; set Ch$i $vl; WriteRegister Channel$i $vl}
        rangeInput6     {set i 6; set Offset$i $vl; set Ch$i $vl; WriteRegister Channel$i $vl}
        rangeInput7     {set i 7; set Offset$i $vl; set Ch$i $vl; WriteRegister Channel$i $vl}
        default {}
     }
   }
 
    proc UpdateModule {} {
    
       for {set i 0} {$i <= 7} {incr i} {variable Offset$i; set Offset$i [expr [ReadRegister Channel$i] & 4095]}
    }

    proc do_Save {which} {
        variable ModuleName
        variable ModuleIndex

           InsertLog "Saving Settings for [set ModuleName]#[set ModuleIndex]"
    }

    proc do_Restore {which} {
        variable ModuleName
        variable ModuleIndex

           InsertLog "Restoring Settings for [set ModuleName]#[set ModuleIndex]"
    }

     proc do_click {} {
       variable cgidata
       variable started
       variable LogFlag
       variable ShowLogFlag

       set cgidata [ncgi::nvlist]

       if {$LogFlag == 1} {InsertLog "cgidata= ([llength $cgidata]) $cgidata"}

       if {[llength $cgidata] == 0} then {return}

       if {[llength $cgidata] < 2} then {
           InsertLog "CGI data is too short: $cgidata"
       } else {
           if {[lindex $cgidata 0] != "Widget"} then {
               InsertLog "Invalid CGI data: $cgidata"
           } else {

              set w [first [lindex $cgidata 1]]
              set n [second [lindex $cgidata 1]]
              set vl [third [lindex $cgidata 1]]

               switch -glob $w {

                   RESET    {set started 0}
                   CLEAR    {EmptyLog}
                   ELOG     {PrintLog}
                   RELOAD   {}
                   VARIABLES {show_variables}                   
                   HELP     {Help $n}

                   HIDE     {set ShowLogFlag 0}
                   SHOW     {set ShowLogFlag 1}
                   LOGON    {set LogFlag 1}
                   LOGOFF   {set LogFlag 0}

                   RANGE   -
                   TEXT    -
                   SETTING {do_Setting $n $vl}

                   REDISPLAY  {UpdateModule} 

                   MainLog {}
                   undefined {}
                   default {InsertLog "unexpected CGI data: [lindex $w 0]: $cgidata"}
               }
           }
       }
       UpdateModule
    }
    
    UpdateModule

}   ;# end of if {$started == 0}

