

#  Xycom XVME-240

    set addressinfo [split $AddressData :]
    set A16Base [first $addressinfo]


   DefineRegister $Module xVME CSR			  "-a $A16Base -o  0x81 -w 16 -d 8 -p rw -z x"
   DefineRegister $Module xVME Red			  "-a $A16Base -o  0x81 -w 16 -d 8 -p rw -z d -b 0 -l 1"
   DefineRegister $Module xVME Green			  "-a $A16Base -o  0x81 -w 16 -d 8 -p rw -z d -b 1 -l 1"
   DefineRegister $Module xVME Int.ORPend		  "-a $A16Base -o  0x81 -w 16 -d 8 -p ro -z d -b 2 -l 1"
   DefineRegister $Module xVME Int.Enable		  "-a $A16Base -o  0x81 -w 16 -d 8 -p rw -z d -b 3 -l 1"
   DefineRegister $Module xVME Reset			  "-a $A16Base -o  0x81 -w 16 -d 8 -p rw -z d -b 4 -l 1"

   DefineRegister $Module xVME Int.Input		  "-a $A16Base -o  0x80 -w 16 -d 8 -p ro -z x"
   for {set index 0} {$index < 8} {incr index} {
   DefineRegister $Module xVME II$index		          "-a $A16Base -o  0x80 -w 16 -d 8 -p ro -z d -b $index -l 1"
   }

   DefineRegister $Module xVME Int.Pending		  "-a $A16Base -o  0x82 -w 16 -d 8 -p ro -z x"
   for {set index 0} {$index < 8} {incr index} {
   DefineRegister $Module xVME IP$index		          "-a $A16Base -o  0x82 -w 16 -d 8 -p ro -z d -b $index -l 1"
   }

   DefineRegister $Module xVME Int.Mask		          "-a $A16Base -o  0x83 -w 16 -d 8 -p rw -z x"
   for {set index 0} {$index < 8} {incr index} {
   DefineRegister $Module xVME IM$index		          "-a $A16Base -o  0x83 -w 16 -d 8 -p rw -z d -b $index -l 1"
   }

   DefineRegister $Module xVME Int.Clear		  "-a $A16Base -o  0x84 -w 16 -d 8 -p rw -z x"
   for {set index 0} {$index < 8} {incr index} {
   DefineRegister $Module xVME IC$index		          "-a $A16Base -o  0x84 -w 16 -d 8 -p rw -z d -b $index -l 1"
   }

   DefineRegister $Module xVME Int.Vector		  "-a $A16Base -o  0x85 -w 16 -d 8 -p rw -z d"

   DefineRegister $Module xVME Flag			  "-a $A16Base -o  0x86 -w 16 -d 8 -p rw -z x"
   for {set index 0} {$index < 8} {incr index} {
   DefineRegister $Module xVME FO$index		          "-a $A16Base -o  0x86 -w 16 -d 8 -p rw -z d -b $index -l 1"
   }

   DefineRegister $Module xVME Direction		  "-a $A16Base -o  0x87 -w 16 -d 8 -p rw -z x"

   for {set index 0} {$index < 8} {incr index} {
   DefineRegister $Module xVME PT$index	        	  "-a $A16Base -o  0x87 -w 16 -d 8 -p rw -z d -b $index -l 1"
   }

   for {set index 0} {$index < 8} {incr index} {
     DefineRegister $Module xVME Port$index               "-a  $A16Base -w 16 -o [expr 0x88+$index] -p rw -d 8 -l 0 -b 0 - z x"
   }
   
   for {set index 0} {$index < 16} {incr index} {
      DefineRegister $Module xVME ID$index                "-a $A16Base -o [expr 0x00 + ($index*2) + 1] -w 16 -d 8 -p ro -z x"
   }


#   DefineRegister Analyser aVME Energy		          "-a $A16Base -o 0x88 -w 16 -d 16 -p rw -q k -t eV -n 3 -r 0:0eV,0xffff:416667eV -i 0eV"
   DefineRegister Analyser xVME Energy		          "-a $A16Base -o 0x88 -w 16 -d 16 -p rw -i 0"
   DefineRegister Analyser xVME Power		          "-a $A16Base -o 0x8a -w 16 -d 8 -p rw -z d -b 0 -l 1 -i 0"

   DefineRegister Goniometer xVME Rota.Select	          "-a $A16Base -o 0x8a -w 16 -d 8 -p ro -z d -b 1 -l 1 -i 0"
   DefineRegister Goniometer xVME Spin.Select	          "-a $A16Base -o 0x8a -w 16 -d 8 -p ro -z d -b 2 -l 1 -i 0"
   DefineRegister Goniometer xVME Tilt.Select	          "-a $A16Base -o 0x8a -w 16 -d 8 -p ro -z d -b 3 -l 1 -i 0"

   DefineRegister Integrator xVME Start		          "-a $A16Base -o 0x8a -w 16 -d 8 -p rw -z d -b 5 -l 1 -i 1"
   DefineRegister Integrator xVME Stop		          "-a $A16Base -o 0x8a -w 16 -d 8 -p rw -z d -b 6 -l 1 -i 1"
   DefineRegister Integrator xVME Load		          "-a $A16Base -o 0x8a -w 16 -d 8  p rw -z d -b 7 -l 1 -i 0"
   DefineRegister Integrator xVME Running		  "-a $A16Base -o 0x8b -w 16 -d 8 -p ro -z d -b 0 -l 1"
   DefineRegister Integrator xVME PPS   		  "-a $A16Base -o 0x8b -w 16 -d 8 -p ro -z d -b 1 -l 2"
   DefineRegister Integrator xVME Dose.Step		  "-a $A16Base -o 0x8b -w 16 -d 8 -p ro -z d -b 1 -l 6"
   DefineRegister Integrator xVME Range		          "-a $A16Base -o 0x8b -w 16 -d 8 -p ro -z d -b 3 -l 4"
   DefineRegister Integrator xVME Readout		  "-a $A16Base -o 0x8c -w 16 -d 16 -p ro -z x"
   DefineRegister Integrator xVME Preset		  "-a $A16Base -o 0x8e -w 16 -d 16 -p rw -z x -i 0"


#   DefineRegister Integrator dose Dose		          "-a [expr $A16Base+0x88]"
#   DefineRegister Integrator dosestep Dose.Step	  "-a [expr $A16Base+0x8b] -d 8 -b 1 -l 6"
#   DefineRegister Integrator pps PPS		          "-a [expr $A16Base+0x8b] -d 8 -b 1 -l 2"
#   DefineRegister Integrator fullscale Current.Range     "-a [expr $A16Base+0x8b] -d 8 -b 3 -l 4"
#   DefineRegister Integrator percent Percent	          "-a [expr $A16Base+0x8c]"


   DefineRegister Integrator xVME Dose		  "-a $A16Base -o 0x88 -w 16 -d 8 -p rw -z d"
   DefineRegister Integrator xVME Percent         "-a $A16Base -o 0x8c -w 16 -d 8 -p ro -z d"


puts "Defined $Module"


